Skip to main content
GET
/
v1
/
charge-records
/
{id}
Retrieve complete charge record data by ID
curl --request GET \
  --url https://api.spirii.com/v1/charge-records/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1353206,
  "location": {
    "id": 1766,
    "crmCustomerId": null,
    "name": "Søllerødgade",
    "address": "Søllerødgade 42",
    "zipCode": "2200",
    "city": "København",
    "country": "DK",
    "type": "Parking lot",
    "isPublic": 1
  },
  "evseId": "DK.SPI.ZM0049*1",
  "auth": {
    "evcoID": null,
    "tagUid": "6D54174758928AC2B645",
    "tagLabel": "SpiriiGo-custId-1",
    "tagDescription": null,
    "tagType": "creditCard",
    "appUserId": 1
  },
  "isRoaming": false,
  "isPublicSharing": false,
  "startedAt": "2022-11-11T08:17:39.000Z",
  "updatedAt": "2022-11-11T08:17:39.000Z",
  "endedAt": "2022-11-11T08:18:11.000Z",
  "consumed": 4.05,
  "price": {
    "currency": "DKK",
    "vatRate": "0,25",
    "amount": "14,18",
    "amountExVat": "11,34",
    "amountVat": "2,84",
    "netKwh": "3,6"
  },
  "isDynamicPrice": true,
  "priceSource": "LocationTariff",
  "voucherCode": "",
  "voucherGroupId": 0,
  "billingMethod": "AppPayment",
  "billingDetails": ""
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Transaction ID to retrieve

Example:

1

Query Parameters

format
enum<string>
default:standard
Available options:
standard,
finance
Example:

"finance"

decimalSeparator
enum<string>
default:.
Available options:
,,
.
Example:

"."

Response

Transaction ID data

id
integer
required

id

Example:

1

location
object
required
evseId
string
required
Example:

"DK.SPI.Z095*1"

isRoaming
boolean
required
Example:

false

startedAt
string<timestamp>
required
Example:

"2021-12-11T13:04:49.372Z"

updatedAt
string<timestamp>
required

Updated date

Example:

"2021-04-20T14:38:20.000Z"

endedAt
string<timestamp> | null
required
Example:

"2021-12-11T13:04:49.372Z"

consumed
number | null
required
Example:

4

price
object
required
auth
object
isPublicSharing
boolean
Example:

false

isDynamicPrice
boolean
Example:

false

priceSource
string
Example:

"LocaitonTariff"

voucherCode
string
Example:

"IDK"

voucherGroupId
number
Example:

0

billingMethod
string
Example:

"AppPayment"